<?php
return [
    'video_management' => 'Video Management',
    'add_video' => 'Add Video',
    'edit_video' => 'Edit Video',
    'player' => 'Player',
    'group_name' => 'Group Name',
    'free_video' => 'Free Video',
    'member_video' => 'Member Video (VIP)',
    'paid_video' => 'Paid Video',
    'category_management' => 'Category Management',
    'tip_category_template' => 'Leave blank to use default template',
    'tip_category_sort' => 'Range: 0-999, descending order',
    'category_name_cannot_be_empty' => 'Category name cannot be empty',
    'category_name_already_exists' => 'Category name already exists',
    'add_category' => 'Add Category',
    'edit_category' => 'Edit Category',
    'category_is_not_empty' => 'Please empty or transfer all videos under this category before performing this operation',
    'poster_type_h' => 'Horizontal',
    'poster_type_v' => 'Vertical',
    'custom_field' => 'Custom Field',
    'add_field' => 'Add Field',
    'edit_field' => 'Edit Field',
    'input_text' => 'Single-line Text',
    'form_textarea' => 'Multi-line Text',
    'input_textlist' => 'Text List',
    'input_radio' => 'Radio Button',
    'input_checkbox' => 'Checkbox',
    'form_select' => 'Dropdown List',
    'belong_to' => 'Belongs to Category',
    'label' => 'Label',
    'value' => 'Value',
    'sort' => 'Sort',
    'field_label_cannot_be_empty' => 'Field label cannot be empty',
    'field_label_already_exists' => 'Field label already exists',
    'field_cannot_be_empty' => 'Field name cannot be empty',
    'field_cannot_be_id' => 'Field name cannot be "id"',
    'field_name_invalid' => 'Field name can only contain letters, numbers, underscores and must start with a letter or underscore',
    'field_already_exists' => 'Field name already exists',
    'field_type_cannot_be_empty' => 'Field type cannot be empty',
    'input_type_cannot_be_empty' => 'Input type cannot be empty',
    'items_value_invalid' => 'List item value cannot contain commas',
    'items_label_cannot_be_empty' => 'List item label cannot be empty',
    'items_sort_invalid' => 'List item sort must be a number',
    'item_already_in_use' => 'List item is in use and cannot be deleted',
    'tips_field' => 'MySQL keywords or reserved words cannot be used as field names',
    'tips_sort' => 'Ascending order, only numbers or leave blank',
    'player_management' => 'Player Management',
    'add_player' => 'Add Player',
    'player_zip_file' => 'Player Package (ZIP)',
    'player_exists' => 'Player already exists',
    'invalid_module_directory' => 'Invalid module directory',
    'player_path_not_exists' => 'Player directory does not exist',
    'player_path_not_writable' => 'Player directory is not writable',
    'player_unzip_failed' => 'Player package extraction failed',
    'player_install_failed' => 'Player installation failed',
    'player_files_delete_failed' => 'Player uninstalled successfully, please manually delete player directory: <br>{0}',
    'slide_management' => 'Slide Management',
    'add_slide' => 'Add Slide',
    'edit_slide' => 'Edit Slide',
    'tip_slide_link' => 'Enter link or video ID',
    'tip_slide_sort' => 'Range: 0-999, descending order',
    'settings' => 'Settings',
    'config_settings' => 'Basic Settings',
    'config_title' => 'Title',
    'config_meta_keyword' => 'Meta Keywords',
    'config_meta_description' => 'Meta Description',
    'image_settings' => 'Image Settings',
    'image_format' => 'Allowed image formats',
    'image_format_cannot_be_empty' => 'Allowed image formats cannot be empty',
    'image_max_size' => 'Maximum image size',
    'image_max_size_can_only_be_number' => 'Maximum image size must be a number greater than 0',
    'image_create_thumb' => 'Generate thumbnail',
    'image_width' => 'Image width',
    'image_width_can_only_be_number' => 'Image width must be a number greater than 0',
    'image_height' => 'Image height',
    'image_height_can_only_be_number' => 'Image height must be a number greater than 0',
    'image_create_watermark' => 'Add watermark',
    'image_watermark_file' => 'Watermark file',
    'image_watermark_position' => 'Watermark position',
    'top_left' => 'Top Left',
    'top_center' => 'Top Center',
    'top_right' => 'Top Right',
    'middle_left' => 'Middle Left',
    'middle_center' => 'Middle Center',
    'middle_right' => 'Middle Right',
    'bottom_left' => 'Bottom Left',
    'bottom_center' => 'Bottom Center',
    'bottom_right' => 'Bottom Right',
    'video_settings' => 'Video Settings',
    'video_upload' => 'Video Upload',
    'off' => 'Off',
    'server' => 'Upload to Server',
    'mars_transcoder' => 'Upload to Video Transcoding System',
    'video_format' => 'Allowed video formats',
    'video_format_cannot_be_empty' => 'Allowed video formats cannot be empty',
    'video_max_size' => 'Maximum video size',
    'video_max_size_can_only_be_number' => 'Maximum video size must be a number greater than 0',
    'video_chunk_size' => 'Upload chunk size',
    'video_chunk_size_can_only_be_number' => 'Upload chunk size must be a number greater than 0',
    'cache_settings' => 'Cache Settings',
    'caching_video_data' => 'Cache Video Data',
    'mars_server' => 'Transcoding Server',
    'add_mars_server' => 'Add Server',
    'edit_mars_server' => 'Edit Server',
    'test_conn' => 'Test Connection',
    'c2s' => 'Server Connection',
    's2c' => 'Test Notification URL',
    'test_return_false' => 'Connection failed',
    'test_return_null' => 'Test canceled',
    'test_success' => 'Success',
    'test_fail' => 'Failed',
    'invalid_secret_key' => 'Secret key mismatch',
    'randomly_generate_key' => 'Randomly Generate Key',
    'verify_upload_url' => 'Verify Upload URL',
    'server_name_cannot_be_empty' => 'Server name cannot be empty',
    'server_name_already_exists' => 'Server name already exists',
    'server_ip_cannot_be_empty' => 'Server IP cannot be empty',
    'invalid_server_ip' => 'Invalid server IP',
    'server_port_cannot_be_empty' => 'Port cannot be empty',
    'invalid_server_port' => 'Invalid port number',
    'server_secret_key_cannot_be_empty' => 'Secret key cannot be empty',
    'server_upload_url_cannot_be_empty' => 'Upload URL cannot be empty',
    'server_upload_url_is_valid' => 'Upload URL is valid',
    'invalid_server_upload_url' => 'Invalid upload URL',
    'invalid_notify_url' => 'Invalid notification URL',
    'invalid_server_weight' => 'Invalid weight value',
    'tips_secret_key' => 'Secret key must match the transcoding system communication key',
    'tips_notify_url' => 'After transcoding is complete, the transcoding system will send a notification to this URL',
    'tips_weight' => 'When weight is 0, it will not participate in load balancing',
    'mars_map' => 'Domain Mapping',
    'add_mars_map' => 'Add Domain Mapping',
    'edit_mars_map' => 'Edit Domain Mapping',
    'server_not_found' => 'Transcoding server not found',
    'map_domain_cannot_be_empty' => 'Domain cannot be empty',
    'map_domain_already_exists' => 'Domain already exists',
    'map_server_cannot_be_empty' => 'No transcoding server selected',
    'invalid_server_id' => 'Invalid server ID',
    'mars_tag' => 'Tag Settings',
    'video_tab_pane' => 'Video',
    'play_tag' => 'Play Tag',
    'preview_tag' => 'Preview Tag',
    'clips_tag' => 'Clip Tag',
    'image_tab_pane' => 'Image',
    'poster_tag' => 'Poster Tag',
    'player_poster_tag' => 'Player Poster Tag',
    'sprite_tag' => 'Sprite Tag',
    'dynamic_tag' => 'Dynamic Image Tag',
    'static_tag' => 'Static Image Tag',
    'tips_tag' => 'Multiple tags can be set, separate tags with commas',
];